package com.example.attendance

import android.content.Intent
import android.graphics.Color
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.text.Html
import android.widget.Button
import android.widget.EditText
import android.widget.TextView
import android.widget.Toast
import com.google.android.material.textfield.TextInputEditText
import com.google.firebase.auth.FirebaseAuth

class LoginActivity : AppCompatActivity() {
    private lateinit var textView: TextView
    private lateinit var edt_email: EditText
    private lateinit var edt_pass: TextInputEditText

    lateinit var email: String
    lateinit var pass: String

    private lateinit var auth: FirebaseAuth
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_login)
        auth = FirebaseAuth.getInstance()

        edt_email =findViewById(R.id.edt_email)
        edt_pass = findViewById(R.id.edt_pass)

        textView=findViewById(R.id.textview)
        textView.text= Html.fromHtml("<font color=${Color.WHITE}>Click </font>" + "<font color=${Color.GREEN}>here </font>" +
                "<font color=${Color.WHITE}> to register</font>")

        val btn_login = findViewById<Button>(R.id.btn_login)
        btn_login.setOnClickListener {
            email = edt_email.text.toString()
            pass = edt_pass.text.toString()

            signInUser()

        }
        textView.setOnClickListener {
            val intent = Intent(this, RegisterActivity::class.java)
            startActivity(intent)

        }
    }
    private fun signInUser() {


        // check pass
        if (email.isBlank() || pass.isBlank() ) {
            Toast.makeText(this, "Email and Password can't be blank", Toast.LENGTH_SHORT).show()
            return
        }


        // If all credential are correct
        // We call createUserWithEmailAndPassword
        // using auth object and pass the
        // email and pass in it.
        auth.signInWithEmailAndPassword(email, pass).addOnCompleteListener(this) {
            if (it.isSuccessful) {
                moveToHome()
                Toast.makeText(this, "Successfully signed  Up", Toast.LENGTH_SHORT).show()
                finish()
            } else {
                Toast.makeText(this, it.exception.toString(), Toast.LENGTH_SHORT).show()
            }
            System.out.println("error: " + it.exception.toString())
        }

    }

    private fun moveToHome(){
        val intent = Intent(this, HomeActivity::class.java)
        startActivity(intent)
    }
}