package com.example.attendance

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Button
import android.widget.Toast
import com.google.android.material.textfield.TextInputEditText
import com.google.firebase.auth.FirebaseAuth
import com.google.firebase.auth.ktx.auth
import com.google.firebase.ktx.Firebase

class RegisterActivity : AppCompatActivity() {
    private lateinit var edt_email: TextInputEditText
    private lateinit var edt_pass: TextInputEditText
    private lateinit var edt_conPass: TextInputEditText
    private lateinit var btn_register: Button

    lateinit var email: String
    lateinit var pass: String
    lateinit var conpass: String

    // For firebase implementation
    private lateinit var auth: FirebaseAuth

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_register)

        edt_email = findViewById(R.id.edt_email)
        edt_pass = findViewById(R.id.edt_pass)
        edt_conPass = findViewById(R.id.edt_conPass)
        btn_register = findViewById(R.id.btn_register)

        auth = FirebaseAuth.getInstance()

        btn_register.setOnClickListener{
            val db = DBHelper(this, null)
            email = edt_email.text.toString()
            pass = edt_pass.text.toString()
            conpass = edt_conPass.text.toString()

            signUpUser()

            db.addUser(email, pass, conpass)


            Toast.makeText(this, email + " added to database", Toast.LENGTH_LONG).show()



        }
    }

    private fun signUpUser() {


        // check pass
        if (email.isBlank() || pass.isBlank() || conpass.isBlank()) {
            Toast.makeText(this, "Email and Password can't be blank", Toast.LENGTH_SHORT).show()
            return
        }
        

        if (pass != conpass) {
            Toast.makeText(this, "Password and Confirm Password do not match", Toast.LENGTH_SHORT)
                .show()
            return
        }


        // If all credential are correct
        // We call createUserWithEmailAndPassword
        // using auth object and pass the
        // email and pass in it.
        auth.createUserWithEmailAndPassword(email, pass).addOnCompleteListener(this) {
            if (it.isSuccessful) {
                moveToLogin()
                Toast.makeText(this, "Successfully signed  Up", Toast.LENGTH_SHORT).show()
                finish()
            } else {
                Toast.makeText(this, it.exception.toString(), Toast.LENGTH_SHORT).show()
            }
            System.out.println("error: " + it.exception.toString())
        }

    }

    private fun moveToLogin(){
        val intent = Intent(this, LoginActivity::class.java)
        startActivity(intent)
    }
}